# Birocchi_SciTraMed2022_scRNAseq #

Birocchi F, Cusimano M, Rossari F, Beretta S et al.
**Targeted inducible delivery of immunoactivating cytokines reprograms glioblastoma microenvironment and inhibits growth in mouse models.**
_Science Translational Medicine_ 2022.
- PMID: [35857642](https://www.ncbi.nlm.nih.gov/pubmed/35857642)
- DOI: [10.1126/scitranslmed.abl4106](https://doi.org/10.1126/scitranslmed.abl4106)
- GEO: [GSE173645](https://www.ncbi.nlm.nih.gov/geo/query/acc.cgi?acc=GSE173645)

---

### Directories and Files ###
- Samplesheet.csv: names of samples and corresponding treatment condisions;
- scripts: folder with R scripts used for the analyses;
- scVelo-notebooks: python notebooks with Velocity analysis.

---

### Analyses ###

Single-cell (from 10X Genomics) analysis of 9 tumoral samples:
- _1_fastMNN_analysis.R_: standard analysis with Seurat (v3.2.2) on merged samples and batch removal with FastMMN, and also on cell-type sepcific subsets.
- _2_fastMNN_DGE.R_: differential gene expression analysis among treaments on the Full dataset and on cell-type specific subsets.
- _3_macroGTvsCtrlPost.R_: differential gene expression analysis on macropahges merging the 2 treatment condisions (high and low) vs. control, with also post-analyses (GSEA and enrichment).
- _4_monocle.R_: pseudotime analysis with Monocle3.
- _5_prepareSCVelo.R_: script to prepare input file for velocity analysis with scVelo.
- _6_prepare_plots.R_: script to produce plots of the paper.
